#AutoIt3Wrapper_UseX64=n
#include "Bass.au3"
#include "BassMix.au3"
#include "BassFX.au3"

$iFreq_Lo = 800; Hz
$iFreq_Hi = 3000; Hz

HotKeySet("{ESC}", "_Exit")

$sFile = FileOpenDialog("Open...", "", "playable formats (*.MP3;*.MP2;*.MP1;*.OGG;*.WAV;*.AIFF;*.AIF)")

_BASS_Startup(@ScriptDir & "\bass.dll")
_BASS_MIX_Startup(@ScriptDir & "\bassmix.dll")
_BASS_FX_Startup(@ScriptDir & "\bass_fx.dll")

_BASS_Init(0, -1, 44100, 0, "")

$hStream = _BASS_StreamCreateFile(False, $sFile, 0, 0, $BASS_STREAM_DECODE)

$hSplit_Lo = _BASS_Split_StreamCreate($hStream, $BASS_STREAM_DECODE, 0)
$hLFX_Lo = _BASS_ChannelSetFX($hSplit_Lo, $BASS_FX_BFX_BQF, 1)
_BASS_FXSetParameters($hLFX_Lo, $BASS_BFX_BQF_LOWPASS & "|" & $iFreq_Lo & "|0|1|0|0|" & $BASS_BFX_CHANALL)

$hSplit_Mi = _BASS_Split_StreamCreate($hStream, $BASS_STREAM_DECODE, 0)
$hLFX_MiLo = _BASS_ChannelSetFX($hSplit_Mi, $BASS_FX_BFX_BQF, 1)
_BASS_FXSetParameters($hLFX_MiLo, $BASS_BFX_BQF_HIGHPASS & "|" & $iFreq_Lo & "|0|1|0|0|" & $BASS_BFX_CHANALL)
$hLFX_MiHi = _BASS_ChannelSetFX($hSplit_Mi, $BASS_FX_BFX_BQF, 1)
_BASS_FXSetParameters($hLFX_MiHi, $BASS_BFX_BQF_LOWPASS & "|" & $iFreq_Hi & "|0|1|0|0|" & $BASS_BFX_CHANALL)

$hSplit_Hi = _BASS_Split_StreamCreate($hStream, $BASS_STREAM_DECODE, 0)
$hLFX_Hi = _BASS_ChannelSetFX($hSplit_Hi, $BASS_FX_BFX_BQF, 1)
_BASS_FXSetParameters($hLFX_Hi, $BASS_BFX_BQF_HIGHPASS & "|" & $iFreq_Hi & "|0|1|0|0|" & $BASS_BFX_CHANALL)

$aInfo = _BASS_ChannelGetInfo($hStream)
$hMixer = _BASS_Mixer_StreamCreate($aInfo[0], $aInfo[1], 0)
_BASS_Mixer_StreamAddChannel($hMixer, $hSplit_Lo, 0)
;_BASS_Mixer_StreamAddChannel($hMixer, $hSplit_Mi, 0)
;_BASS_Mixer_StreamAddChannel($hMixer, $hSplit_Hi, 0)

_BASS_ChannelPlay($hMixer, True)


While _BASS_ChannelIsActive($hMixer)
	Sleep(10)
WEnd

_Exit()


Func _Exit()
	_BASS_ChannelStop($hMixer)
	_BASS_Free()
	Exit
EndFunc   ;==>_Exit